---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - 677f1bd6-e11f-5d8e-acc6-3d5752adecee
      tier: AATSR_CMP_MONTH
      value: 0.11889287084341049
    brdf:
      alpha_1:
        band_1: 0.2676711529680578
        band_11: 0.16407466442480995
        band_12: 0.06079199482377443
        band_2: 0.2676711529680578
        band_3: 0.42538799337902283
        band_4: 0.2240545016473694
        band_5: 0.2240545016473694
        band_6: 0.2240545016473694
        band_7: 0.5410027990057475
        band_8: 0.5410027990057475
        band_8a: 0.5410027990057475
      alpha_2:
        band_1: 0.20824892900564723
        band_11: 0.2108453334558665
        band_12: 0.2506089942258402
        band_2: 0.20824892900564723
        band_3: 0.18187788644833372
        band_4: 0.22428126944268387
        band_5: 0.22428126944268387
        band_6: 0.22428126944268387
        band_7: 0.14853970065595018
        band_8: 0.14853970065595018
        band_8a: 0.14853970065595018
      id:
      - 3df8485e-da92-5b37-824b-6d256078e5f4
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - 6893a108-f757-5d01-b233-fe0196d7e88b
      tier: DEFINITIVE
      value: 0.27
    water_vapour:
      id:
      - 374c8a80-15af-534e-bfb4-d5e5be1f580a
      tier: DEFINITIVE
      value: 3.2099998474121096
  id: c7dfdf2d-1373-410d-a706-530d97ed21b1
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1965.964591141194
      BAND-11: 239.3452677480655
      BAND-12: 81.85759910305192
      BAND-2: 2009.6033781122046
      BAND-3: 1881.6184163836256
      BAND-4: 1536.3424597889652
      BAND-5: 1418.2411725406746
      BAND-6: 1294.1491058175222
      BAND-7: 1184.7204061309646
      BAND-8: 1049.2717920952064
      BAND-8A: 956.8530612637575
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2018-10-18 01:07:24.461000Z
    atime: 2022-05-26 11:27:51Z
    ctime: 2018-10-18 04:47:30Z
    mtime: 2018-10-18 04:47:24Z
    owner_id: '12232'
    platform_id: SENTINEL_2A
    sensor_id: MSI
    source_level1: /g/data/up71/projects/ARD_implementation_validation/robbi_northern_territory_L1C/S2A_MSIL1C_20181018T010721_N0206_R045_T53KQB_20181018T024033.zip
  system_information:
    hostname: gadi-cpu-clx-2832.gadi.nci.org.au
    runtime_id: e0c5c136-dce6-11ec-b015-00000084fe80
    time_processed: 2022-05-26 11:27:51.314821Z
    uname: 'Linux gadi-cpu-clx-2832.gadi.nci.org.au 4.18.0-348.20.1.el8.nci.x86_64
      #1 SMP Wed Mar 16 11:37:35 AEDT 2022 x86_64'
gqa:
  colors:
    blue: 72.0
    green: 1865.0
    red: 9.0
    teal: 1236.0
    yellow: 14.0
  error_message: no errors
  final_qa_count: 2727
  granule: S2A_OPER_MSI_L1C_TL_EPAE_20181018T024033_A017345_T53KQB_N02.06
  ref_date: '2014-07-01T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/100/072/LC81000722014182LGN00_B6.TIF
  residual:
    abs:
      x: 0.43
      xy: 0.48
      y: 0.22
    abs_iterative_mean:
      x: 0.41
      xy: 0.43
      y: 0.15
    cep90: 0.64
    iterative_mean:
      x: 0.41
      xy: 0.41
      y: 0.07
    iterative_stddev:
      x: 0.15
      xy: 0.23
      y: 0.18
    mean:
      x: 0.41
      xy: 0.41
      y: 0.07
    stddev:
      x: 0.37
      xy: 0.55
      y: 0.4
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 98.32193323844314
    cloud: 1.5591189146684983
    cloud_shadow: 0.014618398744529713
    snow: 0.025918958463973248
    water: 0.07841048967986171
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 100.0
    cloud: 0.0
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.1
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.1
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.0
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
